package com.dev.swms.server.model.shipping;

import java.util.Date;

import com.dev.energy.server.model.Entity;
import com.dev.swms.server.model.abstractEntity.Pinfan;
import com.dev.swms.server.model.base.Item;
import com.dev.swms.server.model.base.Warehouse;
import com.dev.swms.server.model.inventory.Task;
import com.dev.swms.server.model.inventory.TaskLog;
import com.dev.swms.server.model.receiving.ReceivedRecord;

/**
 * 库区类
 * @author  dev
 *
 */
public class RkEwmRecord extends Entity {
	//入库发动机扫描
	private static final long serialVersionUID = 5115139409255803447L;
	private Warehouse warehouse;
	/** 品番 */
	private Item item;
	
	private Pinfan pf;
	/** ac */
	private String ac;
	/** 加工中心 */
	private String jgzx;
	private String hz;
	/** 发动机编号*/
	private String fdj;
	/** 二维码 */
	private String ewm;
	/**入库月*/
	private String rky;
	/** 收容数 */
	private int srs=0;
	/** 送货数量 */
	private int shsl=0;
	/** 备注 */
	private String remark;
	
	/** 创建人 */
	private String createBy;
	/** 创建时间 */
	private Date createDate;
	/** 入库明细 */
	private ReceivedRecord rd;
	/** 出库明细 */
	private PickTicketDetail ptd;
	/** 发货明细 */
	private TaskLog taskLog;
	/** 修改时间 */
	private Date updateDate;
	/** 修改时间 */
	private String updateBy;
	/** 采集时间 */
	private Date gatherDate;
	/** 采集人 */
	private String gatherBy;
	/** 是否采集 */
	private Boolean beGather;
	
	/** 备货时间 */
	private Date bhDate;
	/** 备货 */
	private String bhBy;
	
	/** 发货时间 */
	private Date fhDate;
	/** 发货 */
	private String fhBy;
	
	
	public String getRky() {
		return rky;
	}
	public ReceivedRecord getRd() {
		return rd;
	}
	public void setRd(ReceivedRecord rd) {
		this.rd = rd;
	}
	public void setRky(String rky) {
		this.rky = rky;
	}
	public Date getBhDate() {
		return bhDate;
	}
	public void setBhDate(Date bhDate) {
		this.bhDate = bhDate;
	}
	public String getBhBy() {
		return bhBy;
	}
	public void setBhBy(String bhBy) {
		this.bhBy = bhBy;
	}
	public Date getFhDate() {
		return fhDate;
	}
	public void setFhDate(Date fhDate) {
		this.fhDate = fhDate;
	}
	public String getFhBy() {
		return fhBy;
	}
	public void setFhBy(String fhBy) {
		this.fhBy = fhBy;
	}
	public Warehouse getWarehouse() {
		return warehouse;
	}
	public void setWarehouse(Warehouse warehouse) {
		this.warehouse = warehouse;
	}
	public Item getItem() {
		return item;
	}
	public void setItem(Item item) {
		this.item = item;
	}
	public Pinfan getPf() {
		return pf;
	}
	public void setPf(Pinfan pf) {
		this.pf = pf;
	}
	public String getAc() {
		return ac;
	}
	public void setAc(String ac) {
		this.ac = ac;
	}
	public String getJgzx() {
		return jgzx;
	}
	public void setJgzx(String jgzx) {
		this.jgzx = jgzx;
	}
	
	public String getFdj() {
		return fdj;
	}
	public void setFdj(String fdj) {
		this.fdj = fdj;
	}
	public String getEwm() {
		return ewm;
	}
	public void setEwm(String ewm) {
		this.ewm = ewm;
	}
	public int getSrs() {
		return srs;
	}
	public void setSrs(int srs) {
		this.srs = srs;
	}
	public int getShsl() {
		return shsl;
	}
	public void setShsl(int shsl) {
		this.shsl = shsl;
	}
	
	public String getHz() {
		return hz;
	}
	public void setHz(String hz) {
		this.hz = hz;
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	public String getCreateBy() {
		return createBy;
	}
	public void setCreateBy(String createBy) {
		this.createBy = createBy;
	}
	public Date getCreateDate() {
		return createDate;
	}
	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}
	public PickTicketDetail getPtd() {
		return ptd;
	}
	public void setPtd(PickTicketDetail ptd) {
		this.ptd = ptd;
	}
	
	public TaskLog getTaskLog() {
		return taskLog;
	}
	public void setTaskLog(TaskLog taskLog) {
		this.taskLog = taskLog;
	}
	public Date getUpdateDate() {
		return updateDate;
	}
	public void setUpdateDate(Date updateDate) {
		this.updateDate = updateDate;
	}
	public String getUpdateBy() {
		return updateBy;
	}
	public void setUpdateBy(String updateBy) {
		this.updateBy = updateBy;
	}
	public Date getGatherDate() {
		return gatherDate;
	}
	public void setGatherDate(Date gatherDate) {
		this.gatherDate = gatherDate;
	}
	public String getGatherBy() {
		return gatherBy;
	}
	public void setGatherBy(String gatherBy) {
		this.gatherBy = gatherBy;
	}
	public Boolean getBeGather() {
		return beGather;
	}
	public void setBeGather(Boolean beGather) {
		this.beGather = beGather;
	}
	
}
